////////////////////////////////////////////////////////////////////////////////
//==============================================================================
// Config.h   - Compile with Borland C++ builder -
//==============================================================================
// file modified| ver.  |  by                  |         description
//--------------|-------|----------------------|--------------------------------
// june 08 2003 | 0.92  | Matthieu WEBER       | 2nd official beta release
//              |       |matthieu.weber@free.fr|     License : GPL 3
//==============================================================================
// Comments:
//
//  English translation of variable's names in progress...
//
////////////////////////////////////////////////////////////////////////////////

//---------------------------------------------------------------------------

#ifndef ConfigH
#define ConfigH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ExtCtrls.hpp>
#include <ComCtrls.hpp>
#include <Dialogs.hpp>
#include <Buttons.hpp>

#include "Principal.h"
#include "DefautJaugeMat.h"

//---------------------------------------------------------------------------
// Components definition
//---------------------------------------------------------------------------
class TConfiguration : public TForm
{
__published:	// VCL components
        TPageControl *PageControl1;
        TTabSheet *ctrl_main_tab;
        TRadioGroup *ctrl_open_mode;
        TColorDialog *ColorDialog1;
        TTabSheet *ctrl_display_tab;
        TTabSheet *ctrl_appearance_tab;
        TTabSheet *ctrl_refresh_tab;
        TTabSheet *ctrl_about_tab;
        TBevel *Bevel2;
        TLabel *ctrl_refresh_space_variation;
        TLabel *ctrl_every;
        TLabel *ctrl_refresh_every1;
        TLabel *ctrl_length;
        TCheckBox *ctrl_dynamic_refresh;
        TEdit *Edit2;
        TUpDown *UpDown2;
        TEdit *Edit3;
        TComboBox *ctrl_refresh_unit1;
        TComboBox *ComboBox3;
        TUpDown *UpDown3;
        TBevel *Bevel1;
        TLabel *ctrl_refresh_every;
        TEdit *Edit1;
        TUpDown *UpDown1;
        TComboBox *ctrl_refresh_unit;
        TGroupBox *ctrl_options;
        TLabel *ctrl_sec;
        TLabel *ctrl_after_n_sec;
        TCheckBox *ctrl_autohide;
        TComboBox *ctrl_hide_dir;
        TEdit *EditO1;
        TUpDown *UpDownO1;
        TCheckBox *ctrl_on_top;
        TGroupBox *ctrl_system;
        TGroupBox *ctrl_drives;
        TGroupBox *ctrl_audio;
        TCheckBox *ctrl_main_vol;
        TCheckBox *ctrl_wav_vol;
        TCheckBox *ctrl_midi_vol;
        TCheckBox *ctrl_cd_vol;
        TCheckBox *ctrl_aux_vol;
        TCheckBox *ctrl_mic_vol;
        TCheckBox *ctrl_floppy;
        TCheckBox *ctrl_cd;
        TCheckBox *ctrl_hdd;
        TCheckBox *ctrl_network;
        TCheckBox *ctrl_ramdisk;
        TCheckBox *ctrl_memory;
        TCheckBox *ctrl_batteries;
        TRadioGroup *ctrl_colors;
        TPanel *Panel2;
        TShape *ShapeUni;
        TShape *ShapeS0;
        TShape *ShapeS1;
        TShape *ShapeS2;
        TShape *ShapeS3;
        TLabel *LabelPS1;
        TLabel *LabelPS2;
        TLabel *LabelPS3;
        TGroupBox *ctrl_test;
        TDefautJaugeMat *Jauge_test;
        TTrackBar *TrackBar1;
        TEdit *EditS1;
        TUpDown *UpDownS1;
        TEdit *EditS2;
        TUpDown *UpDownS2;
        TEdit *EditS3;
        TUpDown *UpDownS3;
        TComboBox *ComboBox4;
        TBitBtn *ctrl_cancel;
        TBitBtn *ctrl_ok;
        TCheckBox *ctrl_status_bar;
        TBevel *Bevel4;
        TCheckBox *ctrl_auto_launch;
        TLabel *ctrl_about;
        TCheckBox *ctrl_gauge_reverse;
        TBevel *Bevel3;

  void __fastcall ShapeMouseDown(TObject *Sender, TMouseButton Button,
    TShiftState Shift, int X, int Y);
  void __fastcall ctrl_colorsClick(TObject *Sender);
  void __fastcall ctrl_dynamic_refreshClick(TObject *Sender);
  void __fastcall Validation(TObject *Sender);
  void __fastcall FormShow(TObject *Sender);
  void __fastcall Edit1Combo1Change(TObject *Sender);
  void __fastcall ctrl_autohideClick(TObject *Sender);
  void __fastcall TrackBar1Change(TObject *Sender);
  void __fastcall DefinitionSeuil(TObject *Sender);
  void __fastcall ComboBox4Change(TObject *Sender);
  void __fastcall FormCreate(TObject *Sender);
  void __fastcall ComboBox4DrawItem(TWinControl *Control, int Index,
          TRect &Rect, TOwnerDrawState State);
  void __fastcall Charge_int_txt();
  
  private:	// Users declarations 
public:		// Users declarations 
  unsigned int NouvAffichage;
  __fastcall TConfiguration(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TConfiguration *Configuration;
//---------------------------------------------------------------------------
#endif
